﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define n = Character(what_italic=True)
define p = Character("[name]", color="#00ff11")
define m = Character("Granny Mae", color="#F52691")
define a = Character("Arthur", color="#4d89ff")
define b = Character("Bean", color="#00eaff")
define c = Character("Charles", color="#008015")
pass
#Variables
default BeanRep = 0
default ArthurRep = 0
default ArthurHint = 0
default HasBeanPhotograph = False
default HasArthurPhotograph = False
default HasShell = False
default HasStory = False
default HasMetArthur = False
default HasMetBean = False
default Searching = 0

# The game starts here.
label start:
#Introduction
    python:
        name = renpy.input("What is your name?")
        name = name.strip() or "Leaf"
    scene bg outside
    # These display lines of dialogue.
    n "You have travelled to the small seaside town of Portobello, in order to visit your Granny Mae. The town has recently been hit by a terrible storm; the townsfolk may need your help getting back on their feet!"
    n "You find yourself outside of the town's small cafe, along the waterfront."
    menu:
        "Look around":
            jump look_around
        "Go inside":
            jump go_inside
    label look_around:
        scene bg dock
        n "You are standing outside the cafe, which sits on a small road running the length of the town's dock."
        n "Facing the sea, to your left there are a number of houses, above which looms a lighthouse. Closer by, there is a boat seemingly wrecked against the docks. Probably tossed there by the storm."
        n "To your right is the path back to Granny's house."
        menu:
            "Go inside the cafe":
                jump go_inside
    label go_inside:
        scene bg cafe
        n "The inside of the small cafe is cosy and comfortable. The counter is manned by a burly, bearded man with a welcoming smile."
        n "You quickly spot your Granny Mae sitting at a table and go to join her."
    menu:
        "Talk to Granny Mae":
            jump Granny_Mae
    label Granny_Mae:
        show granny happy at right
        m "Oh pumpkin, it's wonderful to see you again! It's been too long since you've been here, you've grown so much!"
        n "Your Granny Mae is a tiny, stooped old woman. Her grey hair is wrapped up in a green headband, and she wears a comfortable red cardigan buttoned to her chin."
        n "Her hands, currently holding yours, are wrinkled and thin, but surprisingly strong."
        menu:
            "Ask about her health":
                jump Granny_wellbeing
            "Ask about the town":
                jump Town_welbeing
    label Granny_wellbeing:
        show granny neutral at right
        p "How have you been?"
        m "I’ve been as well as can be expected. We had such a terrible storm this past week, trees are broken, the hill behind town tumbled down, my garden is in such a state! But we are holding together."
        jump Who_help
    label Town_welbeing:
        show granny neutral at right
        p "What happened to the town?"
        m "Oh pumpkin, we had such a terrible storm this past week, trees are broken, the hill behind town tumbled down, my garden is in such a state! But we are holding together."
        jump Who_help
    label Who_help:
        show granny think at right
        m "Would you do me a favour? Two of my friends, Arthur and Bean, have both been terribly upset ever since the storm. Could you talk with them, and see if either needs any help?"
        show granny neutral
        m "They wouldn't accept my help when I offered, they worry over how busy I am."
        menu:
            "Help Bean":
                jump Help_Bean
            "Help Arthur":
                jump Help_Arthur
            "Refuse":
                jump no1
    label no1:
        show granny neutral at right
        p "No."
        m "Now you were raised better than that! Please, they're old friends of mine, and aren't as capable as they once were."
        menu:
            "Help Bean":
                jump Help_Bean
            "Help Arthur":
                jump Help_Arthur
            "Refuse, again":
                jump no2
    label no2:
        show granny sad at right
        p "Nope."
        n "She shifts, a little uncomfortably."
        m "Now pumpkin, please do this for me. You're staying in my home, after all. Checking on Bean and Arthur won't take you long."
        menu:
            "Help Bean":
                jump Help_Bean
            "Help Arthur":
                jump Help_Arthur
            "Refuse, yet again":
                jump no3
    label no3:
        show granny neutral at right
        p "Mmmm, no."
        m "Well fine. But if you change your mind, they'll be here."
        menu:
            "Help Bean":
                jump Help_Bean
            "Help Arthur":
                jump Help_Arthur
            "Refuse":
                jump no1
#Bean Story
    #Toast Search
        label Help_Bean:
            if HasMetBean == False:
                n "Granny leads you towards a corner, where a small, portly man is sitting."
                hide granny
                show bean sad at right
                n "His hair is wild, and he is wearing a coat seemingly made entirely of patches and sailcloth."
                $ HasMetBean = True
                menu:
                    "Talk to Bean":
                        jump Bean1
            elif HasMetBean == True:
                n "Granny points you towards a corner where Bean is sitting."
                hide granny
                show bean sad at right
                menu:
                    "Talk to Bean":
                        jump Bean1_Alt
        label Bean1:
            hide bean
            show granny happy at right
            m "Hello Bean, I have someone to introduce you to. Now you be nice!"
            hide granny
            show bean neutral at right
            p "Hi! I'm Granny Mae's grandkid, [name]. She said you might need some help?"
            n "He seems slightly surprised by your offer."
            b "Oh! Why.. yes, I suppose I could use some small assistance. Follow me. We wil talk later, Mae."
            scene bg dock
            n "He leads you out of the cafe and down along the docks, around the high hill on which stands the lighthouse."
            n "On the other side of the hill is a large beach, kept for the community's use."
            scene bg cave
            n "Set into the base of the hill, looking out at the beach, is a small cave."
            n "The entrance of the cave is covered by a wooden framework, draped with sailcloth. This is Bean's home."
            show bean sad at right
            b "My good friend, Toast the crab, has gone missing after the big storm. You can help me find him."
            menu:
                "Search for Toast":
                    jump Toast_Search
        label Bean1_Alt:
            p "Hi! I don't think we got properly introduced. I'm Granny Mae's grandkid, [name]. She said you might need some help?"
            n "He seems slightly surprised by your offer."
            b "Oh! Why.. yes, I suppose I could use some small assistance. Follow me."
            scene bg dock
            n "He leads you out of the cafe and down along the docks, around the high hill on which stands the lighthouse."
            n "On the other side of the hill is a large beach, kept for the community's use."
            scene bg cave
            n "Set into the base of the hill, looking out at the beach, is a small cave."
            n "The entrance of the cave is covered by a wooden framework, draped with sailcloth. This is Bean's home."
            show bean sad at right
            b "My good friend, Toast the crab, has gone missing after the big storm. You can help me find him."
            menu:
                "Search for Toast":
                    jump Toast_Search
#To Do
        label Toast_Search:
            hide bean
            n "You and Bean search the beach, combing through tidal pools, looking under rocks, turning over driftwood, and poking through piles of rubbish and litter (this particularly seems to upset Bean, who grumbles whenever litter is encountered)."
            menu:
                "Look under rubbish":
                    jump rubbish
                "Look under rocks":
                    jump rocks
                "Look under driftwood":
                    jump driftwood
        label rubbish:
            n "Digging through piles of rubbish, you find nothing except more rubbish."
            n "The carelessness of some people."
            $ Searching += 1
            menu:
                "Look under rocks":
                    jump rocks
                "Look under driftwood":
                    jump driftwood
                "Clean up some of the rubbish":
                    jump rubbish2
        label rubbish2:
            n "You and Bean begin to gather the rubbish into bags, which he grabs from his cave. You separate rubbish from recyclables."
            n "Still, you don't find Toast."
            $ Searching += 2
            menu:
                "Look under rocks":
                    jump rocks
                "Look under driftwood":
                    jump driftwood
                "Clean up the beach" if Searching > 5:
                    jump Find_Toast_Rubbish
        label Find_Toast_Rubbish:
            n "After a considerable amount of time, you find a miniscule, pale red crab hiding inside an empty soup tin, buried under a pile of wet newspapers."
            n "You call to Bean, who excitedly rushes over. He holds out his hand, and the crab happily climbs into his hand."
            show toast:
                anchor (.5,.5)
                xpos .5
                ypos .5
                fit "contain"
                xsize 800
            with dissolve
            show bean happy at right
            b "Thank you."
            hide bean
            hide toast with dissolve
            n "Bean gives you a short, reluctant smile before scuttling away to his cave."
            $ BeanRep += 1
            menu:
                "Return to the cafe":
                    jump cafe
        label rocks:
            n "Lifting up a large stone sitting next to a tide pool, you find nothing except wet sand and abandoned shells."
            $ Searching += 1
            menu:
                "Look under rubbish":
                    jump rubbish
                "Look under driftwood":
                    jump driftwood
                "Look through the rockpools":
                    jump rocks2
        label rocks2:
            n "Peering into the tidal pools, you see tiny ecosystems. Algae, snails, small mollusks and tiny ocean plants. But not a single crab."
            $ Searching += 2
            menu:
                "Look under rubbish":
                    jump rubbish
                "Look under rocks":
                    jump rocks
                "Continue searching under rocks" if Searching > 5:
                    jump Find_Toast_Rocks
        label Find_Toast_Rocks:
            n "After a considerable amount of time, you find a miniscule, pale red crab hiding under a ledge, hanging over the side of a tidal pool."
            n "You call to Bean, who excitedly rushes over. He holds out his hand, and the crab happily climbs into his hand."
            show toast:
                anchor (.5,.5)
                xpos .5
                ypos .5
                fit "contain"
                xsize 800
            with dissolve
            show bean happy at right
            b "Thank you."
            hide bean
            hide toast
            with dissolve
            n "Bean gives you a short, reluctant smile before scuttling away to his cave."
            $ BeanRep += 1
            menu:
                "Return to the cafe":
                    jump cafe
        label driftwood:
            n "Logs, branches, even entire trees have been swept up on the beach. Poking through the driftwood, you find some strange, twisted lengths of wood, but no crabs."
            $ Searching += 1
            menu:
                "Look under rubbish":
                    jump rubbish
                "Look under rocks":
                    jump rocks
                "Search through the driftwood, more thoroughly":
                    jump driftwood2
        label driftwood2:
            n "You search through the wood, some incredibly light and desert-dry, some heavy, dense, and waterlogged."
            n "Still no Toast, although Bean collects some of the more twisted and strange-looking pieces of driftwood."
            $ Searching += 2
            menu:
                "Look under rubbish":
                    jump rubbish
                "Look under rocks":
                    jump rocks
                "Continue searching through the driftwood" if Searching > 5:
                    jump Find_Toast_Driftwood
        label Find_Toast_Driftwood:
            n "After a considerable amount of time, you find a miniscule, pale red crab hiding inside a hollow log, which was buried under a pile of branches."
            n "You call to Bean, who excitedly rushes over. He holds out his hand, and the crab happily climbs into his hand."
            show toast:
                anchor (.5,.5)
                xpos .5
                ypos .5
                fit "contain"
                xsize 800
            with dissolve
            show bean happy at right
            b "Thank you."
            hide bean
            hide toast with dissolve
            n "Bean gives you a short, reluctant smile before scuttling away to his cave."
            $ BeanRep += 1
            menu:
                "Return to the cafe":
                    jump cafe
    #Cookies for Bean
        label Bean2:
            scene bg cafe
            n "Bean is sitting and chatting with your Granny Mae, while Toast the Crab picks at a small chunk of bread."
            n "Bean falls quiet when you approach, but after a nudge from Granny Mae he coughs."
            show bean neutral at right
            b "Yes, well... thank you for your help."
            menu:
                "Have a cup of tea":
                    jump cafe
                "Speak with Granny":
                    jump Granny_Talk
        label Granny_Talk:
            scene bg cafe
            n "You sit down with Granny and Bean. After a moment, Bean mutters an apology and excuses himself from the table."
            show granny neutral at right
            p "Granny, could you tell me more about Bean?"
            m "Well... His story isn't mine to tell. But..."
            n "She leans in, conspiratorially."
            m "I can tell you he has a terrible sweet tooth. And that, secretly, he is very lonely."
            show granny happy at right
            m "You could buy something from the cafe, but I think a handmade treat would mean more."
            show granny think at right
            m "I have plenty of ingredients and recipes back at my house."
            m "If you really want to get on Bean's good side, why don't we bake him some cookies?"
            show granny happy at right
            m "I remember he especially enjoys my chocolate chip cookies!"
            menu:
                "Go to Granny's house":
                    jump Granny_House
                "Ask to buy something":
                    jump Muffin
            label Muffin:
                show granny sad at right
                p "Why not just buy him something?"
                m "Charles makes wonderful tea, but his baking... wait a moment."
                n "She goes to the counter and orders something from Charles. He seems surprised, but looks over at you and nods in understanding."
                n "A moment later, Granny Mae returns with a plate. She passes the plate to you, and on it you see a perfectly normal muffin."
                menu:
                    "Eat the muffin":
                        jump Muffin_Eat
                    "Politely decline":
                        jump Muffin_Decline
            label Muffin_Eat:
                n "You take a bite out of the perfectly normal muffin."
                n "And you immediately come to regret this. The muffin is dry, and oddly bitter. It leaves an unpleasant aftertaste in your mouth, which you wash away with some tea."
                show granny sad at right
                m "Let's go bake, shall we?"
                menu:
                    "Go to Granny's house":
                        jump Granny_House
            label Muffin_Decline:
                show granny happy at right
                p "I'd rather not..."
                m "Wise choice."
                scene bg outside
                n "Granny takes the muffin with you as you go outside and offers it to a seagull."
                n "The seagull also politely declines."
                menu:
                    "Go to Granny's house":
                        jump Granny_House
            label Granny_House:
                scene bg outside
                n "Leaving the cafe, you and Granny Mae head towards her house."
                scene bg dock
                n "You turn right along the docks and walk to the outskirts of the town."
                n "Granny's house comes into sight, a small cottage accompanied by herb and vegetable gardens."
                n "Entering through the low door, you are faced with a warm, cosy sitting room."
                scene bg kitchen
                menu:
                    "Bake bean some cookies":
                        jump baking
            label baking:
                n "Granny Mae pulls a hefty recipe book from her shelf."
                n "The old book is heavily annotated and dogeared, with notes sticking out from all sides."
                n "The recipe itself is fairly simple and doesn't take you long to make. You haven't baked with your Granny in years, and she clearly appreciates you being in the kitchen with her again."
                n "She whistles and hums to herself while you mix the batter, spoon it onto baking sheets, and carefully transfer the baked cookies to cooling racks."
                n "While the cookies cool, you share a cup of tea with Granny."
                menu:
                    "Take the cookies to Bean":
                        jump Bean_Cookies
                    "Eat one of the less presentable cookies":
                        jump Eat_Cookie
            label Eat_Cookie:
                n "Some of the cookies are crumblier or fell apart when you were taking them off the baking sheets."
                n "You take a nibble, to check their quality of course."
                n "The cookie is delicious."
                menu:
                    "Take the cookies to Bean":
                        jump Bean_Cookies
            label Bean_Cookies:
                n "You and Granny place the cookies into a tin."
                show granny happy at right
                m "There! I'm sure he'll enjoy these; he always did like my baking. It was nice to cook with you again. We haven't baked together since you were just a child!"
                scene bg dock
                n "The two of you decide to deliver the cookies to Bean at his cave."
                scene bg cave
                n "You walk down the path to town, past the cafe, around the hill with the lighthouse, and arrive on the community beach."
                n "Set into the base of the hill is Bean's cave, and you can see the light from a fire glimmering on the sand."
                n "There is a wooden framework set up around the entrance, draped in sailcloth."
                menu:
                    "Knock":
                        jump Knock
            label Knock:
                n "You knock on a wooden post, and a grumpy voice calls from inside."
                b "Who is it? I'm trying to have my dinner..."
                n "Bean comes into view, proceeded by his shadow and his grumbling."
                show bean sad at right
                b "Ah, it's you, and... oh, Mae."
                show bean neutral at right
                n "He seems to soften slightly when he sees your Granny."
                b "Alright, what is this about?"
                menu:
                    "Give him the cookies":
                        jump Bean_Cookies2
            label Bean_Cookies2:
                show bean think at right
                n "You hold out the tin of cookies to Bean, whose eyebrows raise in surprise."
                b "For me? Well... thank you, I suppose."
                n "He takes the offered tin and opens the lid."
                show bean happy at right
                b "Oh my... I haven't had these in years..."
                show bean think at right
                n "He takes a cookie from the tin, sniffs it, then takes a small bite. He seems to forget you are here for a moment, before coming back to himself."
                show bean neutral at right
                b "These are... very good. I appreciate it."
                n "Without another word, he scuttles back into his cave."
                hide bean
                show granny happy at right
                n "Granny chuckles softly as you go to return to town."
                m "Bean never was very good at expressing himself, but trust me, he was very pleased."
                $ BeanRep += 1
                menu:
                    "Return to the cafe":
                        jump cafe
    #Bean Algae                        
        label Bean3:
            scene bg cafe
            n "Charles, the owner of the cafe, stops by your table to refill your and Granny Mae's tea."
            c "Glad I caught you, Bean left this for you! Wouldn't say what for."
            n "He hands you a small note and continues on to the next table."
            menu:
                "Read the note":
                    jump note
        label note:
            n "Unfolding the small piece of paper, you see a message written in cramped, neat handwriting."
            "There is a matter of importance I would like to discuss with you, tonight. Meet me outside my cave, just before sundown.
            - Bean"
            menu:
                "Ask Granny about the note":
                    jump Granny_note
                "Wait till Dusk":
                    jump beach
        label Granny_note:
            n "You pass the note to Granny Mae, who peers through her glasses at the small text."
            show granny think at right
            m "Hmm... Well, I'm sure it must be important! Bean doesn't tend to confide in just anyone, I would say this is a good sign."
            show granny happy at right
            m "I'd go if I were you, Heaven knows he could use a friend."
            m "Dusk is a bit aways now, we just have time to finish our tea."
            menu:
                "Wait till Dusk":
                    jump beach
        label beach:
            n "Just as the sun touches the sea, you leave the cafe."
            scene bg dock
            n "You turn left outside the door, and head south down the dock. Following the path around the hill on top of which stands the lighthouse, you arrive at Bean's secluded beach."
            scene bg cave
            n "He appears to be waiting for you. Two logs are set up on the sand outside his cave, and Bean is sitting on one, fiddling with his walking stick."
            n "Toast the crab perches on the log by Bean's leg and perks up as you approach."
            menu:
                "Join Bean":
                    jump Bean_Join
        label Bean_Join:
            n "You approach Bean."
            show bean neutral at right
            b "Ah, you came! I am glad you did. I think you will enjoy this, it is a wonderful sight. Here, pull up a log."
            menu:
                "Ask what he meant":
                    jump Bean_Ask
                "Sit down next to Bean":
                    jump Bean_Wait
        label Bean_Ask:
            show bean neutral at right
            p "What do you mean??"
            b "Shhh, just wait and see. Trust me, it will be worth it."
            hide bean
            n "He refuses to explain further."
            menu:
                "Sit down next to Bean":
                    jump Bean_Wait
        label Bean_Wait:
            hide bean
            n "You sit on the second log and face the sea along with Bean."
            n "The two of you watch as the sun sets, passing behind the rim of the horizon and setting the waves on fire."
            n "Just as the last light leaves the sky, the sea begins to brighten."
            scene bg algae
            n "At first it seems some trick of the light, a reflection or refraction, but the light is different. The light is a cold blue, and seemingly made of millions of tiny stars, moving and dancing in the waves."
            show bean neutral at right
            b "Isn't it beautiful? Bioluminescent plankton. They aren't common this far north, but occasionally, if the season is particularly warm, like this one..."
            menu:
                "Watch the show":
                    jump Bean_Show
        label Bean_Show:
            hide bean
            n "You and Bean sit in silence for a bit, watching the glowing plankton dance within and beneath the waves."
            n "Finally, he breaks the silence."
            show bean neutral at right
            b "I... Realise I am a tad standoffish. I admit that is partially by design, I prefer to be left alone."
            b "But... It is nice to remember what it is like to have companionship. Of course I have Toast, but..."
            n "He pauses for a moment to feed Toast a piece of dried seaweed."
            b "I do sometimes miss being a part of it all, of being involved in..."
            n "He waves his hand vaguely at town."
            menu:
                "Ask about his past":
                    jump Bean_Hermit
                "Wait for him to continue":
                    jump Bean_Story
        label Bean_Story:
            n "He watches the sea for a moment."
            b "I used to be a lawyer; you know. A very good one, or very bad one depending on how you view things."
            show bean sad at right
            b "I worked for a large company, I worked there for many years. I helped them to do things, to get away with things..."
            hide bean
            n "He rummages behind him for a moment, before pulling out a small photograph."
            n "He hesitates, then hands it to you."
            menu:
                "Look at the photograph":
                    jump Bean_Photo
        label Bean_Hermit:
            p "What did you do, before you were a hermit?"
            n "He watches the sea for a moment."
            b "I haven't been a hermit very long, you know. And before, I was a lawyer."
            b "A very good one, or very bad one depending on how you view things."
            show bean sad at right
            b "I worked for a large company, I worked there for many years. I helped them to do things, to get away with things..."
            hide bean
            n "He rummages behind him for a moment, before pulling out a small photograph."
            n "He hesitates, then hands it to you."
            menu:
                "Look at the photograph":
                    jump Bean_Photo
        label Bean_Photo:
            show group1:
                anchor (.5,.5)
                xpos .5
                ypos .5
                rotate -12
                fit "contain"
                xsize 800
            with dissolve
            n "The photograph shows four people, roughly your age."
            n "On the far left is a short, portly young man. Next to him stands another man, of average height and build."
            n "Next is a young woman, who you recognise as your Granny Mae. On the far right is a tall, sturdy man in a familiar brown cap."
            show bean neutral at right
            n "Bean points a finger at the short man."
            b "That's me, just before I left for university. That next to me is Bert, your grandfather."
            b "That of course is your Granny Mae, and next to her is Arthur."
            n "There is a slight bitterness to his voice when he mentions Arthur."
            b "We were good friends, as children. When we grew older, things changed."
            hide group1
            with dissolve
            show bean sad at right
            b "Such is life, I suppose. But it is still a sour pill to swallow."
            show bean neutral at right
            n "He leans back on his log with a sigh."
            menu:
                "Ask what happened":
                    jump BeanPhoto1
                "Ask about his friendships":
                    jump BeanPhoto2
        label BeanPhoto1:
            show bean neutral at right
            p "What happened?"
            n "He shrugs."
            b "We grew up. Arthur sailed away, Mae and Bert settled down, and I..."
            show bean sad at right
            b "I moved to the Big City to study law."
            n "He takes the photograph back for a moment, and stares at it with wistfulness."
            b "We were very close, we four."
            n "He hands the photograph back to you."
            jump BeanStory2
        label BeanPhoto2:
            show bean sad at right
            p "You were friends?"
            n "He sighs."
            b "We were very close, we four."
            n "He takes the photograph back for a moment, and stares at it with wistfulness."
            n "He hands the photograph back to you."
            jump BeanStory2
        label BeanStory2:
            show bean think at right
            p "Is that all?"
            b "Well, Mae and Arthur... but that's not my story to tell."
            b "Arthur and I were never quite as close as the rest. I suppose he was always somewhat jealous of me."
            show bean neutral at right
            n "He waves a hand at his cave."
            b "I suppose it is hard to see now, but my family was very wealthy. We have ties to the founder of the town, in fact!"
            b "Arthur's family was, to put it bluntly, not very well off. He had many siblings and had to begin work at a young age. I was my parent's only child."
            show bean happy at right
            n "He looks sad for a moment, before for the first time smiling at you with genuine happiness."
            b "Thank you, for coming here, for listening to an old man."
            n "He seems more at ease here, under the stars. It's hard to imagine him in a suit, working in an office in the Big City."
            $ BeanRep += 1
            $ HasBeanPhotograph = True
            menu:
                "Sit with bean for a while":
                    jump BeanSit
                "Return to town":
                    jump Beanleave
        label BeanSit:
            n "You, Bean, and Toast sit in companionable silence for a time."
            hide bean
            n "Eventually, soft rumbling snores emanate from Bean, and you decide it's time to head home."
            n "Leaving Bean under the warm stars, you return home to your own bed."
            n "The next morning, you return to the cafe"
            jump cafe
        label Beanleave:
            n "Brushing sand from your trousers, you stand."
            b "Ah, time to head home, is it? Thank you again, this was... surprisingly pleasent."
            hide bean
            n "Leaving Bean under the warm stars, you return home to your own bed."
            n "The next morning, return to the cafe"
            jump cafe
    #Bean End
        label BeanEnd:
            scene bg cafe
            show bean happy at right
            if HasShell == False:
                n "You sit with Bean and have a cup of tea. He passes you a beautiful seashell, with a secret smile."
                $ HasShell = True
            elif HasShell == True:
                n "You sit with Bean and have a cup of tea, the seashell he gave you resting comfortably in your pocket."
            n "You return to your Granny's table in the cafe"
            jump cafe
#Arthur Story
    #Arthur Assess Boat
        label Help_Arthur:
            scene bg cafe
            if HasMetArthur == False:
                n "Granny leads you towards a tall, sturdy man. His silver hair is short, and hidden under an old brown cap."
                n "His face is worn by years of salt and sun. He wears a warm jacket with many pockets."
                n "He is seated at the cafe's counter, drinking a mug of steaming hot chocolate."
                show granny neutral at right
                m "This is Arthur, pumpkin. Arthur, this is my grandchild, [name]. I'll leave you two to chat, my tea is getting cold!"
                hide granny
                n "Granny Mae returns to her table, leaving you with Arthur."
                menu:
                    "Offer your help":
                        jump ArthurBoat
            elif HasMetArthur == True:
                n "Granny leads you towards Arthur, who is seated at the counter drinking a mug of steaming hot chocolate."
                show granny neutral at right
                m "I believe you've already met? I'll leave you two to chat, my tea is getting cold!"
                hide granny
                n "Granny Mae returns to her table, leaving you with Arthur."
                menu:
                    "Offer your help":
                        jump ArthurBoat
        label ArthurBoat:
            show arthur sad at right
            p "I'm staying with Granny Mae for a bit, and she said you might need some help?"
            a "Aye, you could say that. One moment, and we'll head outside."
            n "He quickly finishes his hot chocolate, and leads you outside to the town's docks."
            scene bg dock
            show arthur sad at right
            a "That there is my boat, {i}The Albatross{/i}... Or at least what's left of her."
            n "He points at the wreck of a boat, cast against the docks."
            scene bg boat
            show arthur neutral at right
            a "That recent storm really did a number on her. I have to take stock of the damage; you can help with that."
            jump ArthurAssess
        label ArthurAssess:
            hide arthur
            n "You and Arthur approach the wrecked fishing trawler."
            n "From first glance, she looks to be in rough shape. The two of you climb onto the pitched deck, but quickly have to disembark as the structure groans and complains under your weight."
            n "It's impossible to see the damage under the hull, as it is partially submerged."
            show arthur sad at right
            a "Suppose we'll have to beach her somewhere. Where do you think?"
            menu:
                "Suggest the docks":
                    jump SuggestDocks
                "Suggest the beach":
                    jump SuggestBeach
        label SuggestDocks:
            show arthur think at right
            p "What about up on the docks?"
            a "That would be the easiest place, but I doubt there's room."
            show arthur neutral at right
            a "Dock isn't wide or sturdy enough to support a boat of her size."
            menu:
                "Suggest the beach":
                    jump SuggestBeach
        label SuggestBeach:
            show arthur think at right
            p "What about the community beach?"
            a "Hmm... that might work. It'll be difficult, sure, and Bean won't be happy to have {i}The Albatross{/i} on his doorstep."
            show arthur happy at right
            a "But I think you're on the right track, let's find some hands to help."
            scene bg outside
            n "You and Arthur return to the cafe to recruit help moving the boat."
            $ ArthurRep += 1
            menu:
                "Recruit help":
                    jump cafe
    #Arthur Beached Boat
        label Arthur1:
            scene bg cafe
            n "You and Arthur ask for help from Charles, the burly owner of the cafe, in moving {i}The Albatross{/i}."
            if HasMetBean == True:
                n "Bean, overhearing your conversation, angrily approaches Arthur."
            elif HasMetBean == False:
                n "A small, portly man angrily approaches Arthur. He is dressed in a tattered coat made of sailcloth and rags, his hair is wild and unkempt."
                show arthur sad at right
                a "Oh lordy, here comes trouble... This is Bean."
                $ HasMetBean = True
                hide arthur
            show bean sad at right
            b "You want to move your wreck of a boat onto {i}my{/i} beach? You must've left your brain at sea."
            menu:
                "Attempt to convince Bean" if BeanRep == 1:
                    jump CalmBean
                "Attempt to convince Bean" if BeanRep == 0:
                    jump UncalmBean
        label CalmBean:
            p "The beach belongs to the community, and it will only be temporary."
            show bean think at right
            n "Bean grumbles but acquiesces."
            hide bean
            menu:
                "Go to move Arthur's boat":
                    jump ArthurMove
        label UncalmBean:
            p "It isn't your beach, don't be selfish."
            n "Bean harrumphs at you and storms off to a corner table. Maybe if you did a favour for him first, he would be more amicable."
            hide bean
            menu:
                "Return to cafe":
                    jump cafe
        label ArthurMove:
            scene bg outside
            n "You, Arthur, Charles, and a few others that you were able to round up head out to the docks."
            scene bg dock
            n "Using a series of pulleys along the docks, a considerable amount of rope, and a lot of effort, you manage to shift the boat over onto the sand of the community beach."
            scene bg cave
            n "Out of the water at last, it's clear to see {i}The Albatross{/i} is in rough shape."
            n "Bean silently observes the operation. Once the task is complete, he vanishes into his cave."
            show arthur happy at right
            n "Arthur, meanwhile, thanks you heartily for your help."
            a "There's no way I could've done that without help, thank you kindly."
            a "With her beached, I can really get in there to see about repairs."
            a "You're welcome to come with, if you're still wanting to help."
            menu:
                "Assess the beached boat":
                    jump BeachedBoat
                    #Want to add another path here, back to the cafe. Will have to adjust ArthurRep variable checks.
        label BeachedBoat:
            scene bg boat
            n "You and Arthur carefully climb your way onto the slanted deck of {i}The Albatross{/i}."
            n "The fishing trawler is in a poor state, clearly having taken heavy damage from the storm."
            n "As you climb into the cabin, you hear Arthur mumbling to himself."
            menu:
                "Listen to Arthur's mumbling":
                    jump Mumble
                "Look around the cabin":
                    jump cabin
        label Mumble:
            n "Arthur, still out on the deck, is muttering to himself."
            a "Swear I tied her down... How could she have gotten loose? Rotten luck, always rotten luck... Thought it was only further from home, must've followed me back..."
            $ ArthurHint += 1
            menu:
                "Look around the cabin" if HasArthurPhotograph == False:
                    jump cabin
                "Head down to the hold" if HasArthurPhotograph == True:
                    jump hold
        label cabin:
            n "The cabin is a fairly standard affair. There is a table against the far wall, tossed there by the storm."
            n "Papers, maps, books, and pictures are strewn about the room. A small hammock has been torn from its hangings, and huddles limply in a corner of the room."
            n "You poke through the various papers on the floor."
            n "Most of them appear to be nautical charts: maps of ocean currents and hazards, the locations where different types of fish can be found throughout the year, tidal charts, and the like."
            n "However, among the maps and diagrams, you find a weathered photograph in a cracked frame."
            show group2:
                anchor (.5,.5)
                xpos .5
                ypos .5
                rotate -12
                fit "contain"
                xsize 800
            with dissolve
            n "You see four teenagers, three boys and a girl. One of the men is tall, tanned, and wears a familiar brown cap."
            n "One man is short and slightly portly, and the other is of average height and build."
            n "You are able to recognise the woman as your Granny Mae, although in the photograph she is younger than you are now. It must've been taken long before you, or even your parents, were born."
            n "While you were examining the picture, Arthur enters the cabin behind you. He sees the picture you are holding."
            hide group2
            with dissolve
            show arthur neutral at right
            a "Ah... aye, that's from a long time ago now. Keep it, your Granny might be able to tell you some about it. Come on, let's see how the hull held up."
            show arthur sad at right
            n "He seems sad as he returns to the deck."
            hide arthur
            $ HasArthurPhotograph = True
            menu:
                "Listen to Arthur's mumbling" if ArthurHint == 0:
                    jump Mumble
                "Head down to the hold" if ArthurHint == 1:
                    jump hold
        label hold:
            n "You and Arthur proceed down into the boat's storage hold, where the damage to the hull is clear to see."
            show arthur sad at right
            n "Arthur lets out a small, distressed gasp."
            a "Ah... I'm not sure if I can bring her back from this..."
            n "The port side of the hull had been nearly completely caved in."
            n "The great beam that runs the length of the floor, from stern to aft, is clearly cracked in multiple places."
            n "The floor, walls, and ceiling groan with every movement you or Arthur make."
            a "We'd best be out of here, 'fore we do any more damage."
            menu:
                "Return to the deck":
                    jump deck
        label deck:
            scene bg cave
            n "You and Arthur return to the deck."
            show arthur neutral at right
            a "'Twas good of you to help me. I'll take it from here, see if there's aught I can do to get her sea-worthy again."
            n "You leave him, pacing the deck of his beached boat."
            $ ArthurRep += 1
            hide arthur
            n "On your way back to town, you pass by Bean's cave to see him watching from the entrance."
            show bean neutral at right
            b "I hope it wasn't too badly damaged. The sooner that eyesore is off my beach, the better."
            menu:
                "Return to the cafe":
                    jump cafe
    #Arthur Plan
        label ArthurPhoto:
            p "Granny, I found this photograph in Arthur's cabin. Do you recognise it?"
            n "Taking the photograph you found in the cabin of {i}The Albatross{/i}, you show it to Granny Mae."
            show granny think at right
            n "She adjusts her spectacles and peers at the picture."
            show granny happy at right
            m "Where did you say you found this, pumpkin? Yes, that's me there."
            m "On my right there is your grandfather, Bert. Oh, we look so young!"
            m "Here, this is Arthur. You could always recognise him by that dirty old hat, he's had it for so long!"
            m "And then... yes, that next to Arthur is Bean."
            show granny think at right
            m "The four of us... were close. But it's a long story, and not just mine to tell."
            $ ArthurHint += 1
            hide granny
            n "As Granny is telling you about her old friends, Arthur comes in and sits at the counter."
            n "You can hear him talking to Charles."
            show arthur neutral at left
            a "Aye, don't think there's any salvaging her. With the amount I'd spend getting her seaworthy again, I could buy two new boats."
            a "Not rightly sure what to do with her just now."
            menu:
                "Talk to Arthur":
                    jump ArthurTalk
        label ArthurTalk:
            n "Approaching Arthur at the cafe, he continues."
            show arthur happy at right
            a "Ah, here's my assistant! You may've heard, but I think {i}The Albatross{/i} is done for."
            n "His smile seems forced."
            show arthur neutral at right
            a "I'm... not too sure what to do with her, for now. She'll have to stay on the beach for a time, until-"
            n "Arthur is cut off by a gruff cough from behind you."
            menu:
                "Ignore it":
                    jump ignore1
                "Turn around":
                    jump BeanAngry
        label ignore1:
            hide arthur
            n "You ignore the cough from behind you."
            n "There is another, louder cough."
            menu:
                "Ignore it again":
                    jump ignore2
                "Turn around":
                    jump BeanAngry
        label ignore2:
            n "The cough turns into indignant grumbling."
            b "Excuse me!"
            menu:
                "Turn around":
                    jump BeanAngry
        label BeanAngry:
            show bean sad at right
            n "Bean has come up to you and Arthur and is staring at Arthur belligerently. With Arthur sitting at the cafe's bar, they are almost eye to eye."
            b "What do you mean, leave it there? The agreement was that you could park your boat, or what's left of it, on my beach to look it over for damage. Not that you could just dump it there!"
            menu:
                "Try to convince Bean" if BeanRep >= 2:
                    jump ConvinceBean
                "Try to convince Bean" if BeanRep < 2:
                    jump UnconvinceBean
        label UnconvinceBean:
            show bean sad at right
            p "The beach isn't yours, Bean. Learn to share."
            n "Bean harrumphs loudly."
            b "The beach may technically belong to the community, but I live there!"
            b "I will {b}not{/b} stand for that heap of rubbish polluting the environment and cluttering up my front lawn!"
            hide bean
            n "Bean scuttles away angrily, and Arthur shakes his head sadly."
            show arthur sad at right
            a "Well, that could've gone worse. Maybe talk to your Granny Mae, she might have ideas?"
            menu:
                "Return to the cafe":
                    jump cafe
        label ConvinceBean:
            show bean think at right
            p "It won't be long, just until Arthur can find a safe way to dispose of it."
            b "I suppose, it has to be disposed of carefully. I'd hate for it to end up polluting the tide-pools or something of that sort."
            show bean neutral at right
            b "Fine, he can keep it there for now. But I'm not happy about it!"
            hide bean
            n "Bean shuffles away, and Arthur thanks you for your help."
            show arthur happy at right
            a "He's always been a grumpy old fart. Well, thanks for ye help. I'll think about what to do with {i}The Albatross{/i} soon, I just... need some time."
            show arthur sad at right
            a "It's just like when I lost {i}The Zephyr{/i}..."
            p "{i}The Zephyr{/i}?"
            jump Zephyr
        label Zephyr:
            show arthur think at right
            a "Oh, aye. {i}The Zephyr{/i} was my old boat, before {i}The Albatross{/i}."
            show arthur sad at right
            a "I lost her, a while back. I... she wrecked, by the Old Lighthouse, out North of town. She's probably still there, or at least what's left of her."
            p "How did the crash happen?"
            jump crash
        label crash:
            show arthur think at right
            n "He pauses a moment before answering."
            a "Ah, I suppose I can tell you. I was coming back from a long trip, longer than I'd usually like. I guess I must've dozed off at the wheel and was tossed up on the rocks."
            show arthur neutral at right
            a "This a long time ago now, back when I must've been about your age. But I've never been back over by the Old Lighthouse, I'd bet you some of {i}The Zephyr{/i} is still out there."
            n "He falls silent, lost in thought."
            a "As soon as I got another boat, {i}The Albatross{/i}, I went back to sea. Didn't spend much time on land after that, matter of fact."
            a "Maybe weren't the best idea, but what's done is done."
            n "He fishes in his pocket for a moment, before pulling out a photograph."
            hide arthur
            show lighthouse:
                anchor (.5,.5)
                xpos .5
                ypos .5
                rotate -12
                fit "contain"
                xsize 800
            with dissolve
            n "It shows a rocky shore, and an old lighthouse overseeing the wreck of a fishing boat. He hands you the photograph."
            hide lighthouse
            with dissolve
            menu:
                "Ask Granny about Arthur's crash":
                    jump Granny_crash
        label Granny_crash:
            n "Arthur falls silent then, so you return to Granny at her table."
            n "You pass the photograph of the wreck of {i}The Zephyr{/i} to her. She adjusts her glasses and peers at the photograph."
            show granny think at right
            m "Ah, Arthur's first boat... So, he told you about his accident, did he?"
            m "Yes, that was when we were about your age, I'd expect. I always thought that accident changed him, somehow."
            show granny neutral at right
            p "Changed him?"
            jump changed
        label changed:
            show granny sad at right
            m "Yes, I suspect he couldn't forgive himself for it. Or he felt he had something to prove, I'm not sure."
            show granny neutral at right
            m "He doesn't like to talk about it. After the crash, he spent all his time at sea. That's why we stopped seeing each other, you know."
            menu:
                "'What??'":
                    jump what
                "'Does that mean... is he my...?'":
                    jump notGrandad
        label what:
            n "She chuckles."
            show granny happy at right
            m "Oh yes, didn't you know? Arthur and I were sweethearts, before I fell in love with your Grandpa Bert."
            show granny sad at right
            m "After he lost {i}The Zephyr{/i}, we decided to part ways..."
            m "Well, less we decided and more he chose the sea. But that's old history."
            n "She shakes her head and smiles again."
            show granny happy at right
            m "Ah, but if he told you about his first boat, maybe there's hope for him!"
            menu:
                "You think I can help him?":
                    jump plan
                "Do you think we should visit the wreck?":
                    jump plan
        label notGrandad:
            n "She chuckles."
            show granny happy at right
            m "Oh no pumpkin, this was long before I hand any children. Arthur and I were sweethearts, before I fell in love with your Grandpa Bert."
            show granny sad at right
            m "After he lost {i}The Zephyr{/i}, we decided to part ways..."
            m "Well, less we decided and more he chose the sea. But that's old history."
            n "She shakes her head and smiles again."
            show granny happy at right
            m "Ah, but if he told you about his first boat, maybe there's hope for him!"
            p "Do you think I could help him? Maybe we could visit the wreck!"
            jump plan
        label plan:
            show granny think at right
            n "She nods."
            show granny neutral at right
            m "Yes, I do think that visiting {i}The Zephyr{/i} might help him."
            m "At the very least, you two can make sure it's not still cluttering up the beach. Why don't you go ask him?"
            menu:
                "Ask Arthur about visiting the wreck":
                    jump wreck
        label wreck:
            scene bg cafe
            n "Arthur is still sitting at the cafe's counter, nursing a hot chocolate."
            p "Arthur, Granny Mae and I were thinking. It might help you to go visit the place where {i}The Zephyr{/i} wrecked."
            show arthur think at right
            a "You want me to go back? To {i}The Zephyr{/i}?"
            show arthur sad at right
            a "I don't know what you're expecting to find there... It's just ship's bones and rotten wood by now."
            show arthur neutral at right
            a "But... if you think it's a good idea, we'll head out in the morning."
            $ ArthurRep += 1
            menu:
                "Have a cup of tea with your Granny Mae":
                    jump cafe
    #Arthur End
        label Arthur3:
            scene bg cafe
            show arthur happy at right
            if HasStory == False:
                n "You sit with Arthur and discuss plans on how to reach the wreck of {i}The Zephyr{/i}."
                n "He seems nervous, and excited. Perhaps it does him good simply to have a plan of action."
                hide arthur
                $ HasStory = True
            elif HasStory == True:
                n "You sit with Arthur and talk. He has a story to tell or wise old saying to pass on, about everything from shoes to ships, to sealing wax, to cabbages and kings."
                hide arthur
            menu:
                "Return to the cafe":
                    jump cafe
#Cafe/Hub
    label cafe:
        scene bg cafe
        n "Back in the cafe, you sit and have a cup of tea with your Granny Mae."
        menu:
            "Help Bean" if BeanRep == 0:
                jump Help_Bean
            "Return to Bean" if BeanRep == 1:
                jump Bean2
            "A note" if BeanRep == 2 and HasBeanPhotograph == False:
                jump Bean3
            "Sit with Bean" if BeanRep == 3 and HasBeanPhotograph == True:
                jump BeanEnd
            "Help Arthur" if ArthurRep == 0:
                jump Help_Arthur
            "Recruit help to move Arthur's boat" if ArthurRep == 1:
                jump Arthur1
            "Show Arthur's photograph to Granny" if HasArthurPhotograph == True and ArthurHint == 1:
                jump ArthurPhoto
            "Talk to Arthur" if HasArthurPhotograph == True and ArthurHint == 2 and ArthurRep == 2:
                jump ArthurTalk
            "Return to Arthur" if ArthurRep == 2 and HasArthurPhotograph == False:
                jump Arthur2
            "Sit with Arthur" if ArthurRep == 3 and HasArthurPhotograph == True:
                jump Arthur3
            "Day of Rest" if BeanRep == 3 and ArthurRep == 3:
                jump Rest_Day
label Rest_Day:
    scene bg outside
    n "Thank you for playing! This concludes the demo."
    menu:
        "Return to the cafe":
            jump cafe
        "End Demo":
            return
        
    # This ends the game.

    return
